---
  - name: Checking Kubectl
    shell: which kubectl
    become: false
    register: shell_result_check_kubectl
    ignore_errors: True
  - debug:
      var: shell_result_check_kubectl

  - name: Install Kubectl
    shell: curl -o kubectl https://s3.us-west-2.amazonaws.com/amazon-eks/1.23.7/2022-06-29/bin/linux/amd64/kubectl
    when: shell_result_check_kubectl.rc != 0
    register: shell_result
  - debug:
      var: shell_result

  - name: Install SHA-256
    shell: curl -o kubectl.sha256 https://s3.us-west-2.amazonaws.com/amazon-eks/1.23.7/2022-06-29/bin/linux/amd64/kubectl.sha256
    when: shell_result_check_kubectl.rc != 0
    register: shell_result
  - debug:
      var: shell_result

  - name: Check SHA-256 sum
    shell: openssl sha1 -sha256 kubectl
    when: shell_result_check_kubectl.rc != 0
    register: shell_result
  - debug:
      var: shell_result

  - name: Change kubectl perm
    shell: chmod +x ./kubectl
    when: shell_result_check_kubectl.rc != 0
    register: shell_result
  - debug:
      var: shell_result

  - name: Create workspace for USER
    shell: mkdir -p /home/{{ user }}/bin && cp ./kubectl /home/{{ user }}/bin/kubectl && export PATH=$PATH:/home/{{ user }}/bin
    when: shell_result_check_kubectl.rc != 0
    register: shell_result
  - debug:
      var: shell_result

  - name: Export kubectl path
    shell: echo 'export PATH=$PATH:/home/{{ user }}/bin' >> /home/{{ user }}/.bashrc
    when: shell_result_check_kubectl.rc != 0
    register: shell_result
  - debug:
      var: shell_result

  - name: Testing Kubectl
    shell: kubectl version --short --client
    become: false
    register: shell_result
  - debug:
      var: shell_result

  - name: Updating kubeconfig on the bastion 
    shell: aws eks update-kubeconfig --region {{ region }} --name {{ eks_cluster }}
    become: false
    register: shell_result
  - debug:
      var: shell_result

  - name: Setting Kubectl context to the desired environment
    shell: kubectl config set-context --current --namespace={{ namespace }}
    become: false
    register: shell_result
  - debug:
      var: shell_result


  
